Subject: Re: Re: [OSPF] Fwd: Posting of draft-ietf-ospf-ospfv3-traffic-09.txt

From: Mach Chen <[email-masked]>
Date: Wed, 26 Sep 2007 18:10:52 +0800

Hi Acee,

Pls see inline

On 2007-09-25, at 21:05:49 Acee Lindem wrote:

>Hi Mach,
>Thanks for reviewing.
>
>On Sep 25, 2007, at 4:24 AM, Mach Chen wrote:
>
>> Hi Acee and other authors,
>>
>>
>>
>> Some questions to ospfv3-traffic
>>
>>
>>
>> 1.       In this ospfv3-traffic document, a new LSA, Intra-Area-TE  
>> LSA, is defined to advertise IPv6 TE information. From name of this  
>> new LSA, IMHO, it is limited to be used for Intra-Area TE only. So,  
>> if there are some underlying extensions to ospfv3-traffic, e.g.  
>> Inter-AS TE, it is a little bit strange to re-use the Intra-Area-TE  
>> LSA, or it has to define a new LSA. So, can we change its name to  
>> something like “OSPFv3 TE LSA”?
>It would be if we had intended it to carry AS wide information.  
>However, it was not initially intended for this. The initial thought  
>was that we would do a better job for OSPFv3 and define separate LSA  
>types for intra-area, inter-area, and AS external TE LSAs. Thoughts  
>on this (copied ccamp as well)?

So, the conclusion is that a new LSA(may be called Inter-AS-TE LSA) has to be defined for advertising inter-AS TE information in support of OSPFv3 TE, am I right?
 
> I guess, IMHO, this discrepancy  
>exposes the choice of a new link type for inter-AS connectivity as a  
>bit of a hack.
>

For OSPFv3 TE(separate LSAs are used) is YES. But as to OSPFv2 TE, IMHO, there should be a new link type to identify an inter-AS link, or we need another new LSA.

>
>
>>
>>
>> 2.       Section 2.
>>
>> “The format of the TLVs within the body of a router information LSA  
>> is the same as the format used by the Traffic Engineering  
>> Extensions to OSPF [TE].”
>>
>>
>>
>> What’s “a router information LSA”?  Or should it be “an Intra-Area- 
>> TE LSA” ?
>
>Yes. Good catch. I'll fix this.

Thanks.

>Thanks,
>Acee

Best regards,			
Mach Chen

_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf